<?php

include_once("ver_model.php");

class Da_umsystem extends Ver_model {		
	
	// PK is StID
	
	public $StID;
	public $StNameT;
	public $StNameE;
	public $StAbbrT;
	public $StAbbrE;
	public $StDesc;
	public $StURL;
	public $StIcon;

	public $last_insert_id;

	function __construct() {
		parent::__construct();
	}
	
	function insert() {
		// if there is no auto_increment field, please remove it
		$sql = "INSERT INTO ".$this->ums_db.".umsystem (StID, StNameT, StNameE, StAbbrT, StAbbrE, StDesc, StURL, StIcon)
				VALUES(?, ?, ?, ?, ?, ?, ?, ?)";
		$this->db->query($sql, array($this->StID, $this->StNameT, $this->StNameE, $this->StAbbrT, $this->StAbbrE, $this->StDesc, $this->StURL, $this->StIcon));
		$this->last_insert_id = $this->db->insert_id();
	}
	
	function update() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "UPDATE ".$this->ums_db.".umsystem 
				SET	StNameT=?, StNameE=?, StAbbrT=?, StAbbrE=?, StDesc=?, StURL=?, StIcon=? 
				WHERE StID=?";	
		$this->db->query($sql, array($this->StNameT, $this->StNameE, $this->StAbbrT, $this->StAbbrE, $this->StDesc, $this->StURL, $this->StIcon, $this->StID));	
	}
	
	function delete() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "DELETE FROM ".$this->ums_db.".umsystem
				WHERE StID=?";
		$this->db->query($sql, array($this->StID));
	}
	
	/*
	 * You have to assign primary key value before call this function.
	 */
	function get_by_key($withSetAttributeValue=FALSE) {	
		$sql = "SELECT * 
				FROM ".$this->ums_db.".umsystem 
				WHERE StID=?";
		$query = $this->db->query($sql, array($this->StID));
		if ( $withSetAttributeValue ) {
			$this->row2attribute( $query->row() );
		} else {
			return $query ;
		}
	}
	
}	 //=== end class Da_umsystem
?>