<?php

include_once("ver_model.php");

class Da_umusergroup extends Ver_model {
	
	// PK is UgGpID, UgUsID
	
	public $UgID;
	public $UgGpID;
	public $UgUsID;

	public $last_insert_id;

	function __construct() {
		parent::__construct();
	}
	
	function insert() {
		// if there is no auto_increment field, please remove it
		$sql = "INSERT INTO ".$this->ums_db.".umusergroup (UgID, UgGpID, UgUsID)
				VALUES(?, ?, ?)";
		$this->db->query($sql, array($this->UgID, $this->UgGpID, $this->UgUsID));
		$this->last_insert_id = $this->db->insert_id();
	}
	
	function update() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "UPDATE ".$this->ums_db.".umusergroup 
				SET	UgID=? 
				WHERE UgGpID=?, UgUsID=?";	
		$this->db->query($sql, array($this->UgID, $this->UgGpID, $this->UgUsID));	
	}
	
	function delete() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "DELETE FROM ".$this->ums_db.".umusergroup
				WHERE UgGpID=?, UgUsID=?";
		$this->db->query($sql, array($this->UgGpID, $this->UgUsID));
	}
	
	/*
	 * You have to assign primary key value before call this function.
	 */
	function get_by_key($withSetAttributeValue=FALSE) {	
		$sql = "SELECT * 
				FROM ".$this->ums_db.".umusergroup 
				WHERE UgGpID=?, UgUsID=?";
		$query = $this->db->query($sql, array($this->UgGpID, $this->UgUsID));
		if ( $withSetAttributeValue ) {
			$this->row2attribute( $query->row() );
		} else {
			return $query ;
		}
	}
	
}	 //=== end class Da_umusergroup
?>