-- MySQL dump 10.13  Distrib 5.1.52, for pc-linux-gnu (i686)
--
-- Host: localhost    Database: cvc_ums
-- ------------------------------------------------------
-- Server version	5.1.52

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `cvc_ums`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `cvc_ums` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `cvc_ums`;

--
-- Table structure for table `umgroup`
--

DROP TABLE IF EXISTS `umgroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `umgroup` (
  `GpID` int(11) NOT NULL AUTO_INCREMENT,
  `GpNameT` varchar(50) DEFAULT NULL,
  `GpNameE` varchar(50) DEFAULT NULL,
  `GpDesc` varchar(255) DEFAULT NULL,
  `GpStID` int(11) DEFAULT NULL,
  `GpDefaultAll` char(1) DEFAULT NULL,
  PRIMARY KEY (`GpID`)
) ENGINE=InnoDB AUTO_INCREMENT=770002 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `umgroup`
--

LOCK TABLES `umgroup` WRITE;
/*!40000 ALTER TABLE `umgroup` DISABLE KEYS */;
INSERT INTO `umgroup` VALUES (1,'กลุ่มผู้ดูแลระบบ','Administrator','กลุ่มผู้ดูแลระบบ',1,''),(770001,'ระบบควบคุมเวอร์ชัน-ผู้ดูแลระบบ','Version Control-admin','-',77,NULL);
/*!40000 ALTER TABLE `umgroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ummenu`
--

DROP TABLE IF EXISTS `ummenu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ummenu` (
  `MnStID` int(11) DEFAULT NULL,
  `MnID` int(11) NOT NULL DEFAULT '0',
  `MnSeq` int(11) DEFAULT NULL,
  `MnIcon` varchar(100) DEFAULT NULL,
  `MnNameT` varchar(100) DEFAULT NULL,
  `MnNameE` varchar(100) DEFAULT NULL,
  `MnURL` varchar(100) DEFAULT NULL,
  `MnDesc` varchar(255) DEFAULT NULL,
  `MnToolbar` varchar(50) DEFAULT NULL,
  `MnToolbarSeq` int(11) DEFAULT NULL,
  `MnToolbarIcon` varchar(50) DEFAULT NULL,
  `MnParentMnID` int(11) DEFAULT NULL,
  `MnLevel` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`MnID`),
  KEY `MnStID` (`MnStID`),
  KEY `MnParentMnID` (`MnParentMnID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ummenu`
--

LOCK TABLES `ummenu` WRITE;
/*!40000 ALTER TABLE `ummenu` DISABLE KEYS */;
INSERT INTO `ummenu` VALUES (77,770001,770001,NULL,'หน้าแรก',NULL,'ver_client',NULL,NULL,NULL,NULL,NULL,0),(77,770002,770002,NULL,'อัพเดทระบบ',NULL,'updateversion/chk_update',NULL,NULL,NULL,NULL,NULL,0),(77,770003,770003,NULL,'ประวัติการอัพเดทระบบ',NULL,'history/ag_update_system',NULL,NULL,NULL,NULL,NULL,0),(77,770004,770004,NULL,'ปรับปรุงข้อมูลพื้นฐานกลาง','','ver_client/update',NULL,NULL,NULL,NULL,NULL,0),(77,770005,770005,NULL,'ประวัติการเปลี่ยนแปลงข้อมูลพื้นฐานกลางของหน่วยงาน',NULL,'ver_client/show_update',NULL,NULL,NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `ummenu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `umsystem`
--

DROP TABLE IF EXISTS `umsystem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `umsystem` (
  `StID` int(11) NOT NULL DEFAULT '0',
  `StNameT` varchar(100) DEFAULT NULL,
  `StNameE` varchar(100) DEFAULT NULL,
  `StAbbrT` char(3) DEFAULT NULL,
  `StAbbrE` char(3) DEFAULT NULL,
  `StDesc` varchar(255) DEFAULT NULL,
  `StURL` varchar(100) DEFAULT NULL,
  `StIcon` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`StID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `umsystem`
--

LOCK TABLES `umsystem` WRITE;
/*!40000 ALTER TABLE `umsystem` DISABLE KEYS */;
INSERT INTO `umsystem` VALUES (77,'ระบบควบคุมเวอร์ชัน','Control Version','-','CV','-','version_server/','-');
/*!40000 ALTER TABLE `umsystem` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `umuser`
--

DROP TABLE IF EXISTS `umuser`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `umuser` (
  `UsID` int(11) NOT NULL AUTO_INCREMENT,
  `UsName` varchar(50) NOT NULL DEFAULT '',
  `UsLogin` varchar(20) NOT NULL DEFAULT '',
  `UsPassword` varchar(255) DEFAULT NULL,
  `UsPsCode` varchar(20) DEFAULT NULL,
  `UsWgID` int(11) NOT NULL DEFAULT '0',
  `UsQsID` int(11) DEFAULT NULL,
  `UsAnswer` varchar(50) DEFAULT NULL,
  `UsEmail` varchar(50) DEFAULT NULL,
  `UsActive` tinyint(4) DEFAULT NULL,
  `UsAdmin` int(11) DEFAULT NULL,
  `UsDesc` varchar(255) DEFAULT NULL,
  `UsPwdExpDt` datetime DEFAULT NULL,
  `UsUpdDt` datetime DEFAULT NULL,
  `UsUpdUsID` int(11) DEFAULT NULL,
  `UsSessionID` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`UsID`),
  UNIQUE KEY `UsLogin` (`UsLogin`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `umuser`
--

LOCK TABLES `umuser` WRITE;
/*!40000 ALTER TABLE `umuser` DISABLE KEYS */;
INSERT INTO `umuser` VALUES (1,'Mr.Admin','admin','b44d09f55881582c94737b198564f8b3','11941',0,NULL,NULL,NULL,1,NULL,NULL,NULL,NULL,NULL,'nrh2f9et76er81sd7fcrmi08r2');
/*!40000 ALTER TABLE `umuser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `umusergroup`
--

DROP TABLE IF EXISTS `umusergroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `umusergroup` (
  `UgID` int(11) DEFAULT NULL,
  `UgGpID` int(11) NOT NULL DEFAULT '0',
  `UgUsID` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`UgGpID`,`UgUsID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `umusergroup`
--

LOCK TABLES `umusergroup` WRITE;
/*!40000 ALTER TABLE `umusergroup` DISABLE KEYS */;
INSERT INTO `umusergroup` VALUES (77,770001,1);
/*!40000 ALTER TABLE `umusergroup` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-08-06 18:32:05
