<?php
function getNowDate() {
	$yy = date('Y');
	$mm = date('m');
	$dd = date('d');
	return $yy.'-'.$mm.'-'.$dd;
}

function getNowDateFw($sp="-") {
	$yy = date('Y');
	$mm = date('m');
	$dd = date('d');
	return $dd.$sp.$mm.$sp.$yy;
}

function getNowDateFw2() {
	$yy = date('Y');
	$mm = date('m');
	$dd = date('d');
	return $dd.'/'.$mm.'/'.$yy;
}

function getNowDateTh() {
	$yy = date('Y')+543;
	$mm = date('m');
	$dd = date('d');
	return $yy.'-'.$mm.'-'.$dd;
}

function getNowDateFwTh() {
	$yy = date('Y')+543;
	$mm = date('m');
	$dd = date('d');
	return $dd.'-'.$mm.'-'.$yy;
}

function splitDateForm($date,$sp="-") {
	list($dd, $mm, $yy) = preg_split("[/|-]", $date);
	$yy += 543;
	return $yy.'-'.$mm.'-'.$dd;
}

function splitDateForm2($date, $sp="-") {
	list($dd, $mm, $yy) = preg_split("[/|-]", $date);
	return $yy.$sp.substr('0'.$mm, -2).$sp.substr('0'.$dd, -2);
}

function splitDateForm3($date,$sp="/") {
	list($dd, $mm, $yy) = preg_split("[\/]", $date);
	$yy -= 543;
	return $yy.'-'.$mm.'-'.$dd;
}

function splitDateDb($date, $sp="-") {
	list($yy, $mm, $dd) = preg_split("[/|-]", $date);
	$yy -= 543;
	return $dd."$sp".$mm."$sp".$yy;
}

function splitDateDb2($date, $sp="-") {
	list($yy, $mm, $dd) = preg_split("[/|-]", $date);
	return $dd."$sp".$mm."$sp".$yy;
}

function splitDateDb3($date, $sp="-") {
	list($yy, $mm, $dd) = preg_split("[/|-]", $date);
	$yy += 543;
	return $dd."$sp".$mm."$sp".$yy;
}

function getMonthTh($mm) {
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม';}
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม';}
	else if($mm=='11') { $mm='พฤศจิกายน';}
	else if($mm=='12') { $mm='ธันวาคม'; }

	return "$mm";
}

function fullDate($date) {
	list($dd, $mm, $yy) = preg_split("[/|-]",$date);
	
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม'; }
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม'; }
	else if($mm=='11') { $mm='พฤศจิกายน'; }
	else if($mm=='12') { $mm='ธันวาคม'; }
	
	$yy += 543;
	return "$dd $mm $yy";
}

function fullDate2($date) {
	list($yy, $mm, $dd) = preg_split("[/|-]",$date);
	
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม'; }
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม'; }
	else if($mm=='11') { $mm='พฤศจิกายน'; }
	else if($mm=='12') { $mm='ธันวาคม'; }
	
	$yy += 543;
	return "$dd $mm $yy";
}

function fullDateDB($date) {
	list($yy, $mm, $dd) = preg_split("[/|-]",$date);
	
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม'; }
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม'; }
	else if($mm=='11') { $mm='พฤศจิกายน'; }
	else if($mm=='12') { $mm='ธันวาคม'; }
	
	return "$dd $mm $yy";
}

function fullDateEng($date) {
	list($dd, $mm, $yy) = preg_split("[/|-]",$date);
	
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='January'; }
	else if($mm=='02') { $mm='February'; }
	else if($mm=='03') { $mm='March'; }
	else if($mm=='04') { $mm='April'; }
	else if($mm=='05') { $mm='May'; }
	else if($mm=='06') { $mm='June'; }
	else if($mm=='07') { $mm='July'; }
	else if($mm=='08') { $mm='August'; }
	else if($mm=='09') { $mm='September'; }
	else if($mm=='10') { $mm='October'; }
	else if($mm=='11') { $mm='November'; }
	else if($mm=='12') { $mm='December'; }
	
	return "$mm $dd, $yy";
}

function abbreDate($date) {
	list($dd, $mm, $yy) = preg_split("[/|-]",$date);
	
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='ม.ค.'; }
	else if($mm=='02') { $mm='ก.พ.'; }
	else if($mm=='03') { $mm='มี.ค.'; }
	else if($mm=='04') { $mm='เม.ย.'; }
	else if($mm=='05') { $mm='พ.ค.'; }
	else if($mm=='06') { $mm='มิ.ย.'; }
	else if($mm=='07') { $mm='ก.ค.'; }
	else if($mm=='08') { $mm='ส.ค.'; }
	else if($mm=='09') { $mm='ก.ย.'; }
	else if($mm=='10') { $mm='ต.ค.'; }
	else if($mm=='11') { $mm='พ.ย.'; }
	else if($mm=='12') { $mm='ธ.ค.'; }
	
	$yy += 543;
	return "$dd $mm $yy";
}

function abbreDate2($date) {
	list($yy, $mm, $dd) = preg_split("[/|-]",$date);

	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	
	if($mm=='01') { $mm='ม.ค.'; }
	else if($mm=='02') { $mm='ก.พ.'; }
	else if($mm=='03') { $mm='มี.ค.'; }
	else if($mm=='04') { $mm='เม.ย.'; }
	else if($mm=='05') { $mm='พ.ค.'; }
	else if($mm=='06') { $mm='มิ.ย.'; }
	else if($mm=='07') { $mm='ก.ค.'; }
	else if($mm=='08') { $mm='ส.ค.'; }
	else if($mm=='09') { $mm='ก.ย.'; }
	else if($mm=='10') { $mm='ต.ค.'; }
	else if($mm=='11') { $mm='พ.ย.'; }
	else if($mm=='12') { $mm='ธ.ค.'; }
	
	$yy += 543;
	return "$dd $mm $yy";
}

function getNowDay() {
	$dd = date('d');
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	return $dd;
}

function convertDayNumberToString($dd) {
	if($dd=='01') { $dd='1'; }
	else if($dd=='02') { $dd='2'; }
	else if($dd=='03') { $dd='3'; }
	else if($dd=='04') { $dd='4'; }
	else if($dd=='05') { $dd='5'; }
	else if($dd=='06') { $dd='6'; }
	else if($dd=='07') { $dd='7'; }
	else if($dd=='08') { $dd='8'; }
	else if($dd=='09') { $dd='9'; }
	return $dd;
}

function getNowMonth() {
	return date('m');
}

function getNowMonthTh($mm) {
	//$mm = date('m');
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม'; }
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม'; }
	else if($mm=='11') { $mm='พฤศจิกายน'; }
	else if($mm=='12') { $mm='ธันวาคม'; }
	return $mm;
}

function convertMonthNumberToString($mm) {
	if($mm=='01') { $mm='มกราคม'; }
	else if($mm=='02') { $mm='กุมภาพันธ์'; }
	else if($mm=='03') { $mm='มีนาคม'; }
	else if($mm=='04') { $mm='เมษายน'; }
	else if($mm=='05') { $mm='พฤษภาคม'; }
	else if($mm=='06') { $mm='มิถุนายน'; }
	else if($mm=='07') { $mm='กรกฎาคม'; }
	else if($mm=='08') { $mm='สิงหาคม'; }
	else if($mm=='09') { $mm='กันยายน'; }
	else if($mm=='10') { $mm='ตุลาคม'; }
	else if($mm=='11') { $mm='พฤศจิกายน'; }
	else if($mm=='12') { $mm='ธันวาคม'; }
	return $mm;
}

function getNowYear () {
	return date('Y');
}

function getNowYearTh() {
	return date('Y')+543;
}

function readNumber($number, $len) {
	if($number=='0') { $number = ""; }
	else if($number=='1') {
		if($len==2) { $number = ""; }
		else { $number = "หนึ่ง"; }
	}
	else if($number=='2') { 
		if($len==2) { $number = "ยี่"; }
		else { $number = "สอง"; }
	}
	else if($number=='3') { $number = "สาม"; }
	else if($number=='4') { $number = "สี่"; }
	else if($number=='5') { $number = "ห้า"; }
	else if($number=='6') { $number = "หก"; }
	else if($number=='7') { $number = "เจ็ด"; }
	else if($number=='8') { $number = "แปด"; }
	else if($number=='9') { $number = "เก้า"; }
	return $number;
}

function readUnit($len) {
	if($len=='1') { $len = ""; }
	else if($len=='2') { $len = "สิบ"; }
	else if($len=='3') { $len = "ร้อย"; }
	else if($len=='4') { $len = "พัน"; }
	else if($len=='5') { $len = "หมื่น"; }
	else if($len=='6') { $len = "แสน"; }
	else if($len=='7') { $len = "ล้าน"; }
	return $len;
}

function num2thai($number){
	$t1 = array("ศูนย์", "หนึ่ง", "สอง", "สาม", "สี่", "ห้า", "หก", "เจ็ด", "แปด", "เก้า");
	$t2 = array("เอ็ด", "ยี่", "สิบ", "ร้อย", "พัน", "หมื่น", "แสน", "ล้าน");
	$zerobahtshow = 0; // ในกรณีที่มีแต่จำนวนสตางค์ เช่น 0.25 หรือ .75 จะให้แสดงคำว่า ศูนย์บาท หรือไม่ 0 = ไม่แสดง, 1 = แสดง
	(string) $number;
	$number = explode(".", $number);
	if (!empty($number[1])) {
		if (strlen($number[1]) == 1) {
			$number[1] .= "0";
		} else if (strlen($number[1]) > 2) {
			if ($number[1]{2} < 5) {
				$number[1] = substr($number[1], 0, 2);
			} else {
				$number[1] = $number[1]{0}.($number[1]{1}+1);
			}
		}
	}
	for ($i = 0; $i < count($number); $i++) {
		$countnum[$i] = strlen($number[$i]);
		if ($countnum[$i] <= 7) {
			$var[$i][] = $number[$i];
		} else {
			$loopround = ceil($countnum[$i]/6);
			for ($j = 1; $j <= $loopround; $j++) {
				if ($j == 1) {
					$slen = 0;
					$elen = $countnum[$i]-(($loopround-1)*6);
				} else {
					$slen = $countnum[$i]-((($loopround+1)-$j)*6);
					$elen = 6;
				}
				$var[$i][] = substr($number[$i], $slen, $elen);
			}
		}
		$nstring[$i] = "";
		for ($k = 0; $k < count($var[$i]); $k++) {
			if ($k > 0) $nstring[$i] .= $t2[7];
			$val = $var[$i][$k];
			$tnstring = "";
			$countval = strlen($val);
			for ($l = 7; $l >= 2; $l--) {
				if ($countval >= $l) {
					$v = substr($val, -$l, 1);
					if ($v > 0) {
						if ($l == 2 && $v == 1) {
							$tnstring .= $t2[($l)];
						} else if ($l == 2 && $v == 2) {
							$tnstring .= $t2[1].$t2[($l)];
						} else {
							$tnstring .= $t1[$v].$t2[($l)];
						}
					}
				}
			}
			if ($countval >= 1) {
				$v = substr($val, -1, 1);
				if ($v > 0) {
					if ($v == 1 && $countval > 1 && substr($val, -2, 1) > 0) {
						$tnstring .= $t2[0];
					} else {
						$tnstring .= $t1[$v];
					}
				}
			}
			$nstring[$i] .= $tnstring;
		}
	}
	$rstring = "";
	if (!empty($nstring[0]) || $zerobahtshow == 1 || empty($nstring[1])) {
		if ($nstring[0] == "") $nstring[0] = $t1[0];
		$rstring .= $nstring[0]."บาท";
	}
	if (count($number) == 1 || empty($nstring[1])) {
		$rstring .= "ถ้วน";
	} else {
		$rstring .= $nstring[1]."สตางค์";
	}
	return $rstring;
}

function convertNumberToString($amount) {
	list($baht, $satang) = preg_split('[\.]', $amount);
	while (strlen($satang) < 2) {
		$satang .= '0';
	}
		
	$str = "";
	$len = strlen($baht);
	$i = 0;
	while ($i < strlen($baht)) {
		if ($len==1 && $baht[$i-1]!=0 && $baht[$i]==1) {
			$str .= "เอ็ด";
		} else {
			$str .= readNumber($baht[$i], $len);
		}
		
		if ($baht[$i] != 0) {
			$str .= readUnit($len);
		}
		
		$len--;
		$i++;
	}
	
	if ($str != "") {
		$str .= "บาท";
	}
	
	$len = strlen($satang);
	$i = 0;
	while ($i < strlen($satang)) {
		if ($len==1 && $satang[$i-1]!=0 && $satang[$i]==1) {
			$str .= "เอ็ด";
		} else {
			$str .= readNumber($satang[$i], $len);
		}

		if ($satang[$i] != 0) {
			$str .= readUnit($len);
		}
		
		$len--;
		$i++;
	}
	
	if ($satang != '00') {
		$str .= "สตางค์";
	}
	
	return $str;
}

// returns <0, 0, >0 if date a< date b,date a== date b,date a > date b respectively.
function compareDate($i_sFirstDate, $i_sSecondDate)
{
//Break the Date strings into seperate components
$arrFirstDate = explode ("-", $i_sFirstDate);
$arrSecondDate = explode ("-", $i_sSecondDate);

$intFirstDay = $arrFirstDate[0];
$intFirstMonth = $arrFirstDate[1];
$intFirstYear = $arrFirstDate[2];

$intSecondDay = $arrSecondDate[0];
$intSecondMonth = $arrSecondDate[1];
$intSecondYear = $arrSecondDate[2];


// Calculate the diference of the two dates and return the number of days.


$intDate1Jul = gregoriantojd($intFirstMonth, $intFirstDay, $intFirstYear);
$intDate2Jul = gregoriantojd($intSecondMonth, $intSecondDay, $intSecondYear);

return $intDate1Jul - $intDate2Jul;

}//end Compare Date

function time_diff($from, $to) {
	list($byear,$bmonth,$bday) = explode("-",$from);
	list($tyear,$tmonth,$tday) = explode("-",$to);
	if($byear<1970){
		$mYear_adjust = 1970-$byear;
		$byear = 1970;
	}else{
		$mYear_adjust=0;
	}
	$a_year = $tyear - $byear;
	$a_month = $tmonth - $bmonth;
	$a_month -= ($bday>$tday)?1:0;
	
	$byear_new = $tyear;
	$bmonth_new = $tmonth;
	$bmonth_new -= ($bday>$tday)?1:0;
	
	if($a_month < 0){
		$a_month += 12;
		$a_year--;
	}
	if($tday >= $bday){
		$a_day = $tday - $bday;
	}else{
		$tmp_timestamp = mktime(0,0,0,$bmonth_new,1,$byear_new);
		$a_day = (date("t",$tmp_timestamp) - $bday)+ $tday;
	}
	$a_year += $mYear_adjust;
	return "$a_year";
	//return "$a_year ,$a_month ,$a_day";
}

function checkWeekDay($date, $weekDay) {
	list($dd, $mm, $yy) = preg_split("[/|-]", $date);
	if(date("w", mktime(0, 0, 0, $mm, $dd, $yy)) == $weekDay)
		return true;
	else
		return false;
}

function getWeekDay($date) {
	list($dd, $mm, $yy) = preg_split("[/|-]", $date);
	return date("w", mktime(0, 0, 0, $mm, $dd, $yy));
}

function futureDay($date, $numDay) {
	list($yy, $mm, $dd) = preg_split("[/|-]", $date);
	$futureDate = date("U", mktime(0, 0, 0, $mm, $dd, $yy)) + ($numDay * 24 * 60 * 60);
	return date("Y-m-d", $futureDate);
}

function pastDay($date, $numDay) {
	list($yy, $mm, $dd) = preg_split("[/|-]", $date);
	$pastDate = date("U", mktime(0, 0, 0, $mm, $dd, $yy)) - ($numDay * 24 * 60 * 60);
	return date("Y-m-d", $pastDate);
}

function numDay($frDate, $toDate) {
	list($yy1, $mm1, $dd1) = preg_split("[/|-]", $frDate);
	list($yy2, $mm2, $dd2) = preg_split("[/|-]", $toDate);
	return (mktime(0, 0, 0, $mm2, $dd2, $yy2) - mktime(0, 0, 0, $mm1, $dd1, $yy1)) / (24 * 60 * 60);
}

function getval($varname, $rw, $v='') {
	if ( set_value($varname) <> '' ) {
		$v = set_value($varname);
	} else if ( !is_null($rw) ) {
		if ($rw->$varname == "0000-00-00") {
			$v = getNowDateFw2();
		} else {
			$v = $rw->$varname;		// varname เป็นชื่อฟิลด์จากตาราง
		}
	}
	return $v;
}
?>