<?php

$lang['required']			= "The %s field is required.";
$lang['isset']				= "The %s field must have a value.";
$lang['valid_email']		= "The %s field must contain a valid email address.";
$lang['valid_emails']		= "The %s field must contain all valid email addresses.";
$lang['valid_url']			= "The %s field must contain a valid URL.";
$lang['valid_ip']			= "The %s field must contain a valid IP.";
$lang['min_length']			= "The %s field must be at least %s characters in length.";
$lang['max_length']			= "The %s field can not exceed %s characters in length.";
$lang['exact_length']		= "The %s field must be exactly %s characters in length.";
$lang['alpha']				= "The %s field may only contain alphabetical characters.";
$lang['alpha_numeric']		= "The %s field may only contain alpha-numeric characters.";
$lang['alpha_dash']			= "The %s field may only contain alpha-numeric characters, underscores, and dashes.";
$lang['numeric']			= "The %s field must contain only numbers.";
$lang['is_numeric']			= "The %s field must contain only numeric characters.";
$lang['integer']			= "The %s field must contain an integer.";
$lang['regex_match']		= "The %s field is not in the correct format.";
$lang['matches']			= "The %s field does not match the %s field.";
$lang['is_natural']			= "The %s field must contain only positive numbers.";
$lang['is_natural_no_zero']	= "The %s field must contain a number greater than zero.";
$lang['decimal']			= "The %s field must contain a decimal number.";
$lang['less_than']			= "The %s field must contain a number less than %s.";
$lang['greater_than']		= "The %s field must contain a number greater than %s.";

$lang['required'] 			= "กรุณาป้อน%s";
$lang['isset']				= "The %s field must have a value.";
$lang['valid_email']		= "%s ไม่ถูกต้อง";
$lang['valid_emails'] 		= "%s ไม่ถูกต้อง";
$lang['valid_url'] 			= "%s ไม่ถูกต้อง";
$lang['valid_ip'] 			= "%s ไม่ถูกต้อง";
$lang['min_length']			= "%sจะต้องมากกว่า %s";
$lang['max_length']			= "%sจะต้องไม่เกิน  %s";
$lang['exact_length']		= "%s  %s หลัก";
$lang['alpha']				= "%s จะต้องเป็นตัวอักษรเท่านั้น";
$lang['alpha_numeric']		= "%s ต้องเป็นจำนวนเต็มบวกเท่านั้น";
$lang['alpha_dash']			= "The %s field may only contain alpha-numeric characters, underscores, and dashes.";
$lang['numeric']			= "%s ต้องเป็นตัวเลขเท่านั้น";
$lang['is_numeric']			= "The %s field must contain only numeric characters.";
$lang['integer']			= "%s ต้องเป็นตัวเลขเท่านั้น";
$lang['matches']			= "%s ไม่ตรงกับ %s";
$lang['is_natural']			= "The %s field must contain only positive numbers.";
$lang['is_natural_no_zero']	= "%s ต้องเป็นเลขที่มากกว่า 0";

$lang['choose'] 			= "กรุณาเลือก %s";

/* End of file form_validation_lang.php */
/* Location: ./system/language/english/form_validation_lang.php */