<?php

include_once("ver_model.php");

class Da_umgroup extends Ver_model {		
	
	// PK is GpID
	
	public $GpID;
	public $GpNameT;
	public $GpNameE;
	public $GpDesc;
	public $GpStID;
	public $GpDefaultAll;

	public $last_insert_id;

	function __construct() {
		parent::__construct();
	}
	
	function insert() {
		// if there is no auto_increment field, please remove it
		$sql = "INSERT INTO ".$this->ums_db.".umgroup (GpID, GpNameT, GpNameE, GpDesc, GpStID, GpDefaultAll)
				VALUES(?, ?, ?, ?, ?, ?)";
		$this->db->query($sql, array($this->GpID, $this->GpNameT, $this->GpNameE, $this->GpDesc, $this->GpStID, $this->GpDefaultAll));
		$this->last_insert_id = $this->db->insert_id();
	}
	
	function update() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "UPDATE ".$this->ums_db.".umgroup 
				SET	GpNameT=?, GpNameE=?, GpDesc=?, GpStID=?, GpDefaultAll=? 
				WHERE GpID=?";	
		$this->db->query($sql, array($this->GpNameT, $this->GpNameE, $this->GpDesc, $this->GpStID, $this->GpDefaultAll, $this->GpID));	
	}
	
	function delete() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "DELETE FROM ".$this->ums_db.".umgroup
				WHERE GpID=?";
		$this->db->query($sql, array($this->GpID));
	}
	
	/*
	 * You have to assign primary key value before call this function.
	 */
	function get_by_key($withSetAttributeValue=FALSE) {	
		$sql = "SELECT * 
				FROM ".$this->ums_db.".umgroup 
				WHERE GpID=?";
		$query = $this->db->query($sql, array($this->GpID));
		if ( $withSetAttributeValue ) {
			$this->row2attribute( $query->row() );
		} else {
			return $query ;
		}
	}
	
}	 //=== end class Da_umgroup
?>