<?php

include_once(dirname(__FILE__).'/ver_model.php');

class Da_ver_upd_data extends Ver_model {		
	
	// PK is udt_id
	
	public $udt_id;
	public $udt_upd_id;
	public $udt_tx_id;
	public $udt_tx_opt;
	public $udt_tx_sys_id;
	public $udt_tx_tb_name;
	public $udt_tx_field_name;
	public $udt_tx_old_val;
	public $udt_tx_new_val;
	public $udt_tx_cond;
	public $udt_tx_describe;
	public $udt_db_name;
	public $udt_date;
	public $udt_time;
	public $udt_status;

	public $last_insert_id;

	function __construct() {
		parent::__construct();
	}
	
	function insert() {
		// if there is no auto_increment field, please remove it
		$sql = "INSERT INTO ".$this->ver_db.".ver_upd_data (udt_id, udt_upd_id, udt_tx_id, udt_tx_opt, udt_tx_sys_id, udt_tx_tb_name, udt_tx_field_name, udt_tx_old_val, udt_tx_new_val, udt_tx_cond, udt_tx_describe, udt_db_name, udt_date, udt_time, udt_status)
				VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
		$this->db->query($sql, array($this->udt_id, $this->udt_upd_id, $this->udt_tx_id, $this->udt_tx_opt, $this->udt_tx_sys_id, $this->udt_tx_tb_name, $this->udt_tx_field_name, $this->udt_tx_old_val, $this->udt_tx_new_val, $this->udt_tx_cond, $this->udt_tx_describe, $this->udt_db_name, $this->udt_date, $this->udt_time, $this->udt_status));
		$this->last_insert_id = $this->db->insert_id();
	}
	
	function update() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "UPDATE ".$this->ver_db.".ver_upd_data 
				SET	udt_upd_id=?, udt_tx_id=?, udt_tx_opt=?, udt_tx_sys_id=?, udt_tx_tb_name=?, udt_tx_field_name=?, udt_tx_old_val=?, udt_tx_new_val=?, udt_tx_cond=?, udt_tx_describe=?, udt_db_name=?, udt_date=?, udt_time=?, udt_status=? 
				WHERE udt_id=?";	
		$this->db->query($sql, array($this->udt_upd_id, $this->udt_tx_id, $this->udt_tx_opt, $this->udt_tx_sys_id, $this->udt_tx_tb_name, $this->udt_tx_field_name, $this->udt_tx_old_val, $this->udt_tx_new_val, $this->udt_tx_cond, $this->udt_tx_describe, $this->udt_db_name, $this->udt_date, $this->udt_time, $this->udt_status, $this->udt_id));	
	}
	
	function delete() {
		// if there is no primary key, please remove WHERE clause.
		$sql = "DELETE FROM ".$this->ver_db.".ver_upd_data
				WHERE udt_id=?";
		$this->db->query($sql, array($this->udt_id));
	}
	
	/*
	 * You have to assign primary key value before call this function.
	 */
	function get_by_key($withSetAttributeValue=FALSE) {	
		$sql = "SELECT * 
				FROM ".$this->ver_db.".ver_upd_data 
				WHERE udt_id=?";
		$query = $this->db->query($sql, array($this->udt_id));
		if ( $withSetAttributeValue ) {
			$this->row2attribute( $query->row() );
		} else {
			return $query ;
		}
	}
	
}	 //=== end class Da_ver_upd_data
?>