-- MySQL dump 10.13  Distrib 5.1.52, for pc-linux-gnu (i686)
--
-- Host: localhost    Database: cvc
-- ------------------------------------------------------
-- Server version	5.1.52

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `cvc`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `cvc` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `cvc`;

--
-- Table structure for table `ver_client_system`
--

DROP TABLE IF EXISTS `ver_client_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ver_client_system` (
  `csys_id` int(11) NOT NULL AUTO_INCREMENT,
  `csys_en_name` varchar(255) DEFAULT NULL,
  `csys_th_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`csys_id`)
) ENGINE=InnoDB AUTO_INCREMENT=502 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ver_client_system`
--

LOCK TABLES `ver_client_system` WRITE;
/*!40000 ALTER TABLE `ver_client_system` DISABLE KEYS */;
INSERT INTO `ver_client_system` VALUES (501,'manage','สารสนเทศเพื่อการบริหาร');
/*!40000 ALTER TABLE `ver_client_system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ver_config`
--

DROP TABLE IF EXISTS `ver_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ver_config` (
  `cfg_id` int(11) NOT NULL AUTO_INCREMENT,
  `cfg_ag_id` int(11) DEFAULT NULL,
  `cfg_server_name` text NOT NULL,
  `cfg_server_version` text NOT NULL,
  `cfg_ag_path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`cfg_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ver_config`
--

LOCK TABLES `ver_config` WRITE;
/*!40000 ALTER TABLE `ver_config` DISABLE KEYS */;
INSERT INTO `ver_config` VALUES (1,'','http://202.29.105.1/version_server/index.php/version/ver_connect','http://202.29.105.1/version_server/index.php/version/downloadversion/','/var/www/html');
/*!40000 ALTER TABLE `ver_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ver_file`
--

DROP TABLE IF EXISTS `ver_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ver_file` (
  `file_id` int(11) NOT NULL,
  `file_pkg_id` int(11) NOT NULL,
  `file_org_name` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `file_size` int(11) DEFAULT NULL,
  `file_path` varchar(255) DEFAULT NULL,
  `file_update_status` char(1) DEFAULT NULL,
  PRIMARY KEY (`file_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ver_file`
--

LOCK TABLES `ver_file` WRITE;
/*!40000 ALTER TABLE `ver_file` DISABLE KEYS */;
/*!40000 ALTER TABLE `ver_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ver_package`
--

DROP TABLE IF EXISTS `ver_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ver_package` (
  `pkg_id` int(11) NOT NULL,
  `pkg_sys_id` int(11) NOT NULL,
  `pkg_upload_date` date NOT NULL DEFAULT '0000-00-00',
  `pkg_download_date` date NOT NULL DEFAULT '0000-00-00',
  `pkg_update_date` date DEFAULT '0000-00-00',
  `pkg_version` varchar(50) DEFAULT NULL,
  `pkg_name` varchar(100) DEFAULT NULL,
  `pkg_text_en` varchar(255) DEFAULT NULL,
  `pkg_detail` varchar(255) DEFAULT NULL,
  `pkg_by` varchar(255) DEFAULT NULL,
  `pkg_download_status` char(1) DEFAULT NULL COMMENT 'สถานะการดาวน์โหลดแพ็คเกจของหน่วยงาน',
  `pkg_update_status` char(1) DEFAULT NULL COMMENT 'สถานะการปรับปรุงระบบของหน่วยงาน',
  PRIMARY KEY (`pkg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ver_package`
--

LOCK TABLES `ver_package` WRITE;
/*!40000 ALTER TABLE `ver_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `ver_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ver_upd_data`
--

DROP TABLE IF EXISTS `ver_upd_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ver_upd_data` (
  `udt_id` int(11) NOT NULL AUTO_INCREMENT,
  `udt_upd_id` int(11) DEFAULT NULL,
  `udt_tx_id` int(11) DEFAULT NULL,
  `udt_tx_opt` varchar(255) DEFAULT NULL,
  `udt_tx_sys_id` int(11) DEFAULT NULL,
  `udt_db_name` varchar(255) DEFAULT NULL,
  `udt_tx_tb_name` text,
  `udt_tx_field_name` text,
  `udt_tx_old_val` text,
  `udt_tx_new_val` text,
  `udt_tx_cond` text,
  `udt_tx_describe` text,
  `udt_date` date DEFAULT NULL,
  `udt_time` time DEFAULT NULL,
  `udt_status` char(1) DEFAULT NULL,
  PRIMARY KEY (`udt_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ver_upd_data`
--

LOCK TABLES `ver_upd_data` WRITE;
/*!40000 ALTER TABLE `ver_upd_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `ver_upd_data` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-08-06 18:31:42
